## ros-ardent-turtlebot2-follower 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(turtlebot2_follower)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

include_directories(include)

add_executable(follower src/follower.cpp)
ament_target_dependencies(follower
  "geometry_msgs"
  "rclcpp"
  "sensor_msgs")

install(TARGETS follower
        DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY launch
        DESTINATION share/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-ardent-turtlebot2-follower (0.4.1-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 20 Jul 2018 07:00:00 -0000

ros-ardent-turtlebot2-follower (0.4.0-0xenial) xenial; urgency=high

  * add missing maintainer names (#73 <https://github.com/ros2/turtlebot2_demo/issues/73>)
  * Update for rclcpp namespace removals (#71 <https://github.com/ros2/turtlebot2_demo/issues/71>)
  * Switch to using the RCUTILS_* logging macros. (#66 <https://github.com/ros2/turtlebot2_demo/issues/66>)
  * 0.0.3
  * 0.0.2
  * Fix typo in dependency name. (#48 <https://github.com/ros2/turtlebot2_demo/issues/48>)
  * Tb2 repos refactor (#46 <https://github.com/ros2/turtlebot2_demo/issues/46>)
  * Make sure to fully initialize the QoS structures. (#43 <https://github.com/ros2/turtlebot2_demo/issues/43>)
  * Fixes to make TB2 follower demo build/launch. (#41 <https://github.com/ros2/turtlebot2_demo/issues/41>)
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * Update exec dependencies (#37 <https://github.com/ros2/turtlebot2_demo/issues/37>)
  * Flesh out kobuki driver (#7 <https://github.com/ros2/turtlebot2_demo/issues/7>)
  * all manner of improvements
  * turtlebot follows
  * Contributors: Brian Gerkey, Chris Lalancette, Daniel Stonier, Dirk Thomas, Mikael Arguedas, Steven! Ragnarök, dhood, gerkey

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

=== debian/control ===
Source: ros-ardent-turtlebot2-follower
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-ardent-ament-cmake, ros-ardent-geometry-msgs, ros-ardent-rclcpp, ros-ardent-sensor-msgs, ros-ardent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-ardent-turtlebot2-follower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-ardent-astra-camera, ros-ardent-geometry-msgs, ros-ardent-launch, ros-ardent-rclcpp, ros-ardent-ros2run, ros-ardent-sensor-msgs, ros-ardent-turtlebot2-drivers, ros-ardent-ros-workspace
Description: A simple follower using centroid in depth images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/ardent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/ardent" \
		-DAMENT_PREFIX_PATH="/opt/ros/ardent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-ardent-turtlebot2-follower//opt/ros/ardent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/ardent/setup.sh" ]; then . "/opt/ros/ardent/setup.sh"; fi && \
	dh_auto_install
